LibreOffice: XDocumentEventBroadcaster Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDocumentEventBroadcaster Interface Reference

allows to be notified of events happening in an OfficeDocument, and to cause notification of such events. More...

`import "XDocumentEventBroadcaster.idl";`

Inheritance diagram for XDocumentEventBroadcaster:

## Public Member Functions
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events.
void | notifyDocumentEvent ([in] string EventName, [in] ::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event

## Detailed Description

allows to be notified of events happening in an OfficeDocument, and to cause notification of such events.

This interface is the successor of the XEventBroadcaster interface, which should not be used anymore.

See also
  DocumentEvent

Since
  OOo 3.1

## Member Function Documentation

## ◆ addDocumentEventListener()

void addDocumentEventListener | ( | [in] XDocumentEventListener | Listener | ) |

registers a listener which is notified about document events

Parameters

  Listener | the listener to register. The behavior of the method is undefined this listener is NULL.

## ◆ notifyDocumentEvent()

void notifyDocumentEvent | ( | [in] string | EventName,
|  | [in] ::com::sun::star::frame::XController2 | ViewController,
|  | [in] any | Supplement )
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::NoSupportException ) |  |  |

causes the broadcaster to notify all registered listeners of the given event

The method will create a DocumentEvent instance with the given parameters, and fill in the `Source` member (denoting the broadcaster) as appropriate.

Whether the actual notification happens synchronously or asynchronously is up to the implementor of this method. However, implementations are encouraged to specify this, for the list of supported event types, in their service contract.

Implementations might also decide to limit the list of allowed events (means event names) at their own discretion. Again, in this case they're encouraged to document this in their service contract.

Parameters

  EventName | the name of the event to be notified.
  ViewController | the view/controller which the event applies to. May be NULL
  Supplement | supplemental information related to the event.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if EventName is empty, or if EventName is not supported by the document implementation.
  com::sun::star::lang::NoSupportException | if the broadcaster implementation does not supported broadcasting events induced externally. This is usually used for components which multiplex events from multiple sources, and thus would be unable to fill in the `Source` member of the DocumentEvent instance.

## ◆ removeDocumentEventListener()

void removeDocumentEventListener | ( | [in] XDocumentEventListener | Listener | ) |

revokes a listener which has previously been registered to be notified about document events.

Parameters

  Listener | the listener to revoke. The behavior of the method is undefined this listener is NULL.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentEventBroadcaster.idl